// debounce.js
export default {
  bind(el, binding, vnode) {
    const handleEvent = (event) => {
      const callback = binding.value
      if (typeof callback === 'function') {
        callback(event)
      }
    }

    const delay = binding.arg || 300 // 默认延迟时间为300ms，可以通过指令参数指定
    let timeout

    el.addEventListener('input', (event) => {
      clearTimeout(timeout)
      timeout = setTimeout(() => {
        handleEvent(event)
      }, delay)
    })
  },
  unbind(el) {
    el.removeEventListener('input', this.handleEvent)
  }
}
